Package org.springframework.test.context.event

# Class BeforeTestExecutionEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.test.context.event.TestContextEvent
org.springframework.test.context.event.BeforeTestExecutionEvent

All Implemented Interfaces:
  `Serializable`

public class BeforeTestExecutionEvent extends TestContextEvent
`TestContextEvent` published by the `EventPublishingTestExecutionListener` when `TestExecutionListener.beforeTestExecution(TestContext)` is invoked.

Since:
  5.2
Author:
  Frank Scheffler
See Also:
  - `@BeforeTestExecution`
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`BeforeTestExecutionEvent(TestContext source)`

## Method Summary

### Methods inherited from class org.springframework.test.context.event.TestContextEvent

`getSource, getTestContext`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeforeTestExecutionEvent

public BeforeTestExecutionEvent(TestContext source)